update
POST
/notification/{id}
Marks a notification as seen.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Notification Id
Example
6vcudpc4wgc0ckkQuery Parameters
Section titled “Query Parameters ” expand
string
Expand a foreign key column (https://pocketbase.io/docs/working-with-relations/#expanding-relations).
requestKey
string
Unique request key. Prevents auto cancel when sending multiple requests.
Request Body
Section titled “Request Body ”object
seen
required
boolean
Example
{ "seen": true}Responses
Section titled “ Responses ”object
author
required
string
collectionId
required
string
collectionName
required
string
created
required
string
id
required
string
metadata
required
object
author
required
string
id
required
string
list
required
string
recipient
required
string
seen
required
boolean
type
required
string
updated
required
string
Example
{ "author": "znhd3hgrxl85c9f", "collectionId": "khrcci2uqknny8h", "collectionName": "notifications", "created": "2025-01-03 10:36:23.603Z", "id": "yu9vp1kbid56s6u", "metadata": { "author": "Flomp", "id": "dci7qk44birm2bn", "list": "Liste mit Oachkatzerl" }, "recipient": "3mugf953w4a9fg5", "seen": true, "type": "list_share", "updated": "2025-01-03 10:57:22.899Z"}object
message
required
string
details
required
Array<object>
object
code
string
minimum
integer
type
string
inclusive
boolean
exact
boolean
message
string
path
Array<string>
Example
{ "message": "invalid_params", "details": [ { "code": "too_small", "minimum": 15, "type": "string", "inclusive": true, "exact": true, "message": "String must contain exactly 15 character(s)", "path": [ "id" ] } ]}object
message
required
string
detail
required
object
code
required
integer
message
required
string
data
required
object
Example
{ "message": "The requested resource wasn't found.", "detail": { "code": 404, "message": "The requested resource wasn't found.", "data": {} }}